<script setup lang="ts">
import { useRouter } from 'vue-router';

const router = useRouter()

const homeCustomer = () => {
 router.push({ name: 'Customer Home' })   
}
</script>
<template>
  <v-row align="center" justify="center">
    <v-col>
      <v-card class="elevation-12 custom-card">
        <v-card-text class="text-center">
          <v-row>
            <v-col cols="3">
              <v-icon size="40" right>mdi-coffee</v-icon>
            </v-col>
            <v-col cols="5">
              <h1
                class="display-2 font-weight-bold"
                style="cursor: pointer"
                @click="homeCustomer()"
              >
                D-Coffee
              </h1>
              <v-col>
                <p class="subtitle-1">Welcome</p>
              </v-col>
            </v-col>

            <v-col cols="4">
              <v-btn color="#FFD180" to="/profile"> <v-icon>mdi-account</v-icon>Profile </v-btn
              ><br /><br /><v-btn color="#D32F2F" to="/login"> <v-icon>mdi-logout</v-icon> </v-btn>
            </v-col>
          </v-row>
        </v-card-text>
      </v-card>
    </v-col>
  </v-row>
</template>
